import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';

@Injectable({
    providedIn: 'root'
})
export class HostsBrowserModalService {

    private readonly hostUuid$$ = new Subject<string>();
    public readonly hostUuid$ = this.hostUuid$$.asObservable();

    constructor() {
    }

    public openHostBrowserModal(hostUuid: string) {
        this.hostUuid$$.next(hostUuid);

    }
}
