import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';

@Injectable({
    providedIn: 'root'
})
export class ServiceBrowserModalService {

    private readonly serviceUuid$$ = new Subject<string>();
    public readonly serviceUuid$ = this.serviceUuid$$.asObservable();

    constructor() {
    }

    public openServiceBrowserModal(serviceuuid: string) {
        this.serviceUuid$$.next(serviceuuid);

    }

}
