import { Injectable, Pipe, PipeTransform } from '@angular/core';

@Pipe({
    name: 'htmlspecialchars',
    standalone: true
})
@Injectable({
    providedIn: 'root'
})
export class HtmlspecialcharsPipe implements PipeTransform {

    transform(value: string): string {
        if (!value) {
            return value;
        }
        return value
            .replace(/&/g, '&amp;')
            .replace(/</g, '&lt;')
            .replace(/>/g, '&gt;')
            .replace(/'/g, '&#039;')
            .replace(/"/g, '&quot;');
    }

}
